Update Remediation Rule

Update an existing remediation rule for one group.

This method allows you to update remediation rule for a set of groups.

KeyMeaningMandatoryData Type
accountidAccount identifierNostring
rulenameName of the remediation ruleYesstring
ruledescDescription of the ruleNostring
typeType of rule (VULNERABILITY or COMPLIANCE)Yesstring
starttimeStart time (HH:MM:AM/PM format)Yesstring
endtimeEnd time (HH:MM:AM/PM format)Nostring
startwindowtimeStart window time (HH:MM:AM/PM format)Yesstring
scheduletypeSchedule typeYesstring
groupnameGroup name(s)Yesstring
forcerebootForce reboot option (true/false)Nostring
remediationdelayindaysDelay in days before remediation (1–7, default 0 if not provided)Nostring
includeassetAsset(s) to includeNostring
excludeassetAsset(s) to excludeNostring
skipfeatureupdateSkip feature update optionNostring
apifiltersFilters for rule selection using tagsNoarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Patch.updateRemediationRule(
  rulename="demo rule1",
  type="VULNERABILITY",
  starttime="03:24:AM",
  scheduletype="daily",
  apifilters={
                "tags": {
                 "in": {
                  "Owner": [
                   "User1",
                   "User2"
                  ]
                 },
                 "not in": {
                  "Category": [
                   "Finance"
                  ]
                 }
                }
            }
  )

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json